/* General */
html {
    height: 100%;
    padding: 0;
    margin: 0;

    font-size: 8px;

    /* cursor: none; */

}

body {
    height: 100%;
    padding: 0;
    margin: 0;

    font-size: 1.5rem;
    background: white;
    color: #202020;
}

.page {
    display: flex;
    flex-direction: column;
    min-height: calc(100vh - 5rem);
    z-index: 1;
}

#cursor {
    background-color: #202020;
    border-radius: 50%;
    
    position: fixed;
    width: 40px;
    height: 40px;
    top: -40px;
    left: -40px;
    z-index: 9999;
    
    transform: translate(-50%, -50%);
    transition: transform 0.14s ease-out;

    filter: invert(1);
    mix-blend-mode: difference;
    pointer-events: none;
}

.cursor-click {
    transform: translate(-50%, -50%) scale(0.5) !important;
}

.cursor-hover {
    transform: translate(-50%, -50%) scale(2) !important;
}

body a {
    cursor: none;
}


/* Typography */
h1, h2, h3 {
    font-size: 1.5rem;
    font-family: "Geist Mono", serif;
    font-weight: 800;
    color:#202020;
}

p, span {
    font-size: 1.5rem;
    font-family: "Geist Mono", serif;
    font-weight: 400;
    color:#202020;
}

a {
    color:#202020;
}


/* Header */
header {
    z-index: 10;
}

.title {
    width: calc(100vw - 5rem);
    padding: 2.5rem;
    position: fixed;

    /* Hintergrundbild */
    /*background-image: url('media/general/gradients/gradient-white.png');
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;*/

    /* Grid */
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 2rem;

    /* Typography */
    font-size: 1.5rem;
    font-family: "Geist Mono", serif;
    font-weight: 400;
    color:#202020;
}

.logo {
    grid-column: 1 / 3;
    margin-top: 0.4rem;  
}

.logo img {
    height: 3rem;
}

.about {
    grid-column: 3 / 5;
    /*padding-right: 6vw;*/
}

.about span {
    color:#202020;
    
}

.link a {
    color:#202020;
    text-decoration: none;
}

.link .icon {
    width: 1rem;
    height: 1rem;
    margin-right: 0.1rem;
}

.link-1 {
    grid-column: 6;
}

.link-2 {
    grid-column: 7;
}

.link-3 {
    grid-column: 8;
}


/* Footer */
footer {
    position: relative;
    margin-top: 2.5rem;
    padding: 2.5rem;
}

.footer {
    width: calc(100vw - 5rem);

    /* Grid */
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 2rem;

    /* Typography */
    font-size: 1.5rem;
    font-family: "Geist Mono", serif;
    font-weight: 400;
    color:#202020;
}

.footer a {
    color:#202020;
    text-decoration: none;
}

.iconlink {
    display: flex;
    float: left;
}

.iconlink .icon {
    width: 1.4rem;
    height: 1.4rem;
    vertical-align: middle;
    margin-top: 0.3rem;
    margin-right: 0.7rem;
    float: left;
    
    /* Typography */
    font-family: "Geist Mono", serif;
    font-weight: 400;
    color:#202020;
}

.copyright {
    grid-column: 6/8;
}


/* Main */
main {
    z-index: 0;
    flex: 1;

    padding: 2.5rem;
    margin-top: 8rem;
}

.grid {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 2rem;
}

.image-block {
    width: 100%;
    text-align: left;
    grid-column: span 2;

    /* Animation */
    opacity: 0;
    animation: fadeInUp 0.6s ease-in forwards;

    overflow: hidden;
}

.image-block a {
    text-decoration: none;
}

@keyframes fadeInUp {
    to {
      opacity: 1;
    }
}


.image-block img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    transition: transform 0.4s ease-in;
}

.image-block img:hover {
    /*transform: scale(1.2);*/
}

.caption-wrapper {
    display: flex; /* wichtig: nicht inline-flex */
    gap: 0.5rem;
    align-items: baseline;
    flex-wrap: wrap;
}

.caption {
    padding-top: 1rem;
    color: #202020;
    font-family: "Geist Mono", serif;
    font-weight: 400;
}

.context {
    font-family: "Geist Mono", serif;
    font-weight: 400;
    color:#c9cdd6;
    text-decoration: none;
    /* white-space: nowrap; Verhindert Umbruch innerhalb des Hinweises */
}

.more {
    font-family: "Geist Mono", serif;
    font-weight: 400;
    color:#202020;

    flex-basis: 100%; /* eigene Zeile im Flex-Container */
    margin-top: 0.3rem;
}


/* Impressum */

.imprint {
    grid-column: 1 / 6;   
}




/* Desktop XL */ 

@media (min-width: 1440px) {
    
    html {
        font-size: 9px;
    }

    .title {
        /* Grid */
        grid-template-columns: repeat(10, 1fr);
        gap: 2rem;
    }

    .about {
        grid-column: 3 / 6;
        padding-right: 0;
    }

    .link-1 {
        grid-column: 8;
    }
    
    .link-2 {
        grid-column: 9;
    }
    
    .link-3 {
        grid-column: 10;
    }

    .footer {
        /* Grid */
        grid-template-columns: repeat(10, 1fr);
        gap: 2rem;
    }

    .copyright {
        grid-column: 8 / 11;
    }
    


    .grid {
        grid-template-columns: repeat(10, 1fr);
        gap: 2rem;
    }

}


/* Tablet */ 

@media (max-width: 960px) {
    
    .title {
        /* Grid */
        grid-template-columns: repeat(6, 1fr);
        gap: 2rem;
    }

    .grid {
        grid-template-columns: repeat(6, 1fr);
        gap: 2rem;
    }

    .footer {
        /* Grid */
        grid-template-columns: repeat(6, 1fr);
        gap: 2rem;
    }

    .about {
        grid-column: 3 / 5;
        padding-right: 0;
        display: none;
    }

    .copyright {
        grid-column: 4;
    }


    .link-1 {
        grid-column: 4;
    }
    
    .link-2 {
        grid-column: 5;
    }
    
    .link-3 {
        grid-column: 6;
    }

}


/* Smartphone */ 

@media (max-width: 610px) {

    html {
        font-size: 10px;
        cursor: default;
    }


    header {
        z-index: 2;
        margin-top: 4rem !important;
    }

    .title {
        /* Grid */
        grid-template-columns: repeat(4, 1fr);
        gap: 1.5rem;
        padding: 2rem;

        position: relative;
    }

    .logo {
        grid-column: 1 / -1;
    }

    .about {
        display: inline;
        grid-column: 1 / 5 !important;
        justify-self: start;
        margin-top: 0;
        margin-bottom: 1.5rem;
    }

    .link-1 {
        grid-column: 1 / 3 !important;
        justify-self: start;
    }

    .link-2 {
        grid-column: 3 / 5 !important;
        justify-self: start;
    }

    .link-3 {
        grid-column: 1 / 3 !important;
        justify-self: start;
    }

    .iconlink .icon {
        margin-top: 0.35rem;
    }

    footer {
        padding: 2rem;
        margin-top: 2rem;
    }

    .footer {
        /* Grid */
        grid-template-columns: repeat(4, 1fr);
        gap: 2rem;
        
    }

    .copyright {
        grid-column: 3 / 5 !important;
    }


    main {
        margin-top: 1rem;
        margin-bottom: 1rem;
        padding: 2rem;
    }

    .grid {
        grid-template-columns: repeat(4, 1fr);
        gap: 1.5rem;
    }


    .more {
        display: block;
        width: 100%;
        margin-top: 0.3rem;
    }

    .caption-wrapper {
        flex-direction: column; /* auf Mobile echte Zeilen statt Flex-Wrapping */
        align-items: flex-start;
    }

}